Bug 149064

Summary: [GTK] Web Process crash recovery no longer works
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: berto, cgarcia, commit-queue, gns, mcatanzaro, mrobinson, svillar, yoon, zan
Priority: P2    
Version: Other   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch zan: review+

Description Michael Catanzaro 2015-09-11 07:14:49 PDT
When the web process crashes, the web view goes white and never recovers.

We used to signal the UI process to display an error page. Recently this worked for everything except AC, then it was fixed for AC as well, and now it's seems to be broken either always or almost always.
Comment 1 Michael Catanzaro 2015-09-13 07:19:04 PDT
OK, the signal is still being sent, because Epiphany is loading its error page in the web view. If I click View Source on the empty page, the source for the error page is displayed properly. But WebKit never renders the page: it just leaves the page as entirely white (or sometimes entirely black).
Comment 2 Carlos Garcia Campos 2015-09-15 03:14:32 PDT
Created attachment 261184 [details]
Patch
Comment 3 WebKit Commit Bot 2015-09-15 03:16:07 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 4 Carlos Garcia Campos 2015-09-16 01:00:55 PDT
Committed r189854: <http://trac.webkit.org/changeset/189854>